Bug 24461 - Add to_api_mapping to Koha::Acquisition::BasketGroup
Summary: Add to_api_mapping to Koha::Acquisition::BasketGroup
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 20212
  Show dependency treegraph
 
Reported: 2020-01-20 14:02 UTC by Tomás Cohen Arazi
Modified: 2020-04-03 22:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24461: Add to_api_mapping to Koha::Acquisition::BasketGroup (2.05 KB, patch)
2020-01-20 14:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24461: Add to_api_mapping to Koha::Acquisition::BasketGroup (2.12 KB, patch)
2020-03-06 15:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24461: Add to_api_mapping to Koha::Acquisition::BasketGroup (2.30 KB, patch)
2020-03-24 10:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24461: Add to_api_mapping to Koha::Acquisition::BasketGroup (2.22 KB, patch)
2020-03-24 10:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-01-20 14:02:44 UTC
We need those mappings for the API.
Comment 1 Tomás Cohen Arazi 2020-01-20 14:09:48 UTC
Created attachment 97623 [details] [review]
Bug 24461: Add to_api_mapping to Koha::Acquisition::BasketGroup

This patch adds to_api_mapping to the Koha::Acquistion::BasketGroup
class.

To test:
1. Compare the mapping with the one on the RFC
=> SUCCESS: They match
2. Sigh off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Martin Renvoize 2020-03-06 15:56:40 UTC
Created attachment 100278 [details] [review]
Bug 24461: Add to_api_mapping to Koha::Acquisition::BasketGroup

This patch adds to_api_mapping to the Koha::Acquistion::BasketGroup
class.

To test:
1. Compare the mapping with the one on the RFC
=> SUCCESS: They match
2. Sigh off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2020-03-06 15:56:57 UTC
Looking good to me.. SO
Comment 4 Jonathan Druart 2020-03-24 10:44:07 UTC
Created attachment 101536 [details] [review]
Bug 24461: Add to_api_mapping to Koha::Acquisition::BasketGroup

This patch adds to_api_mapping to the Koha::Acquistion::BasketGroup
class.

To test:
1. Compare the mapping with the one on the RFC
=> SUCCESS: They match
2. Sigh off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: remove extra lines between methods koha_object[s]_class.
That's how they are in other modules.
Comment 5 Jonathan Druart 2020-03-24 10:46:12 UTC
Created attachment 101537 [details] [review]
Bug 24461: Add to_api_mapping to Koha::Acquisition::BasketGroup

This patch adds to_api_mapping to the Koha::Acquistion::BasketGroup
class.

To test:
1. Compare the mapping with the one on the RFC
=> SUCCESS: They match
2. Sigh off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: remove extra lines between methods koha_object[s]_class.
That's how they are in other modules.
Comment 6 Martin Renvoize 2020-03-24 11:33:50 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-03 22:00:52 UTC
not backported to 19.11.x